require 'runit/testcase'
require 'runit/cui/testrunner'
require 'uri/http'


class TestHTTP < RUNIT::TestCase
  def setup
  end

  def teardown
  end

  def test_parse
    u = URI.parse('http://a')
    assert_kind_of(URI::HTTP, u)
    assert_equal(['http', 
		   nil, 'a', URI::HTTP.default_port,
		   '', nil, nil], u.to_a)
  end
end

if $0 == __FILE__
  if ARGV.size == 0
    suite = TestHTTP.suite
  else
    suite = RUNIT::TestSuite.new
    ARGV.each do |testmethod|
      suite.add_test(TestHTTP.new(testmethod))
    end
  end
  RUNIT::CUI::TestRunner.run(suite)
end
